@charset "UTF-8";
/* SCSSの読み込み */
@import url(all.css);
/*===============================================
  切り替え用
===============================================*/
html {
  scroll-padding-top: clamp(100px, 7.2916666667vw, 140px);
}
@media screen and (max-width: 1449px) {
  html {
    font-size: clamp(14px, 1.1034482759vw, 16px);
  }
}

.pc-none {
  display: none !important;
}

a[href^="tel:"] {
  pointer-events: none;
}

/*===============================================
  ページネーション
===============================================*/
/*===============================================
  詳細ページ前後
===============================================*/
/*===============================================
  wrapper
===============================================*/
#wrapper {
  min-width: 1200px;
}

/*===============================================
  header
===============================================*/
#header .header__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: clamp(65px, 4.6875vw, 90px);
  padding-inline: clamp(20px, 1.5625vw, 30px) clamp(14px, 1.0416666667vw, 20px);
}
#header .header__logo {
  width: 16.25rem;
  width: clamp(182px, 13.5416666667vw, 260px);
}
#header .header__logo img {
  width: 100%;
  aspect-ratio: 13/2;
  -o-object-fit: contain;
     object-fit: contain;
}
#header .header__other {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  font-size: clamp(12px, 0.8333333333vw, 16px);
  -moz-column-gap: 1.25em;
       column-gap: 1.25em;
}
#header .header__tel {
  row-gap: 0.625em;
}
#header .header__tel .com-tel__num {
  font-size: 1.875em;
}
#header .header__tel .com-replace {
  font-size: 0.6875em;
}
#header .header__btns {
  display: flex;
  justify-content: center;
  align-items: center;
  -moz-column-gap: 0.625em;
       column-gap: 0.625em;
}
#header .header__btn {
  width: 16.25em;
  height: 3.75em;
}
#header .header__btn.com-btn--mail {
  -moz-column-gap: 0.625em;
       column-gap: 0.625em;
}
#header .header__btn.com-btn--mail::before {
  width: 1.25em;
}
#header .header__btn.com-btn--line {
  -moz-column-gap: calc(1em - 1px);
       column-gap: calc(1em - 1px);
}
#header .header__btn.com-btn--line::before {
  width: 1.5em;
  min-width: 20px;
}

/*===============================================
  footer
===============================================*/
#footer {
  padding-block: 7.5rem;
}
#footer .footer__inner {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 67.5rem;
  padding-block: 6.25rem;
}
#footer .footer__inner::before {
  width: calc(100vw - 6.25rem);
  min-width: calc(1200px - 6.25rem);
  max-width: 105rem;
  border-radius: clamp(35px, 2.6041666667vw, 50px);
}
#footer .footer__other {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: 2.5rem;
  padding-bottom: calc(2.5rem + var(--font-size-xs));
}
#footer .footer__logo {
  width: 16.25rem;
}

/*フッターナビ
-----------------------------*/
.footer-nav {
  font-size: var(--font-size-sm);
  line-height: 2;
}
.footer-nav__list {
  display: grid;
  grid-template-rows: repeat(6, 1fr);
  grid-auto-flow: column;
  gap: 1.25rem 2.5rem;
}
.footer-nav__item {
  margin-block: calc((1em - 1lh) / 2);
  padding-left: 1.5625rem;
}
.footer-nav__link {
  letter-spacing: var(--letter-spacing-base);
  margin-inline-end: calc(var(--letter-spacing-base) * -1);
  position: relative;
}
.footer-nav__link::before {
  content: "";
  width: 0.3125rem;
  aspect-ratio: 1;
  border-radius: 50%;
  background: var(--color-orange-light);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: calc(100% + 1.25rem);
}
.footer-nav__link:hover::before, .footer-nav__link.current::before {
  background: var(--color-green-light);
}

/*コピーライト
-----------------------------*/
.copy {
  width: 67.5rem;
  margin-inline: auto;
}
.copy p {
  position: absolute;
  left: 0;
  bottom: 6.25rem;
}

/*===============================================
  fixed固定
===============================================*/
/*SNS
-----------------------------*/
#side-sns {
  flex-direction: column;
  gap: 0.3125rem;
  bottom: calc(clamp(121px, 9.1666666667vw, 176px) + 4rem);
  right: 0;
}
#side-sns li {
  width: 3.75rem;
  border-radius: 0.625rem 0 0 0.625rem;
}

/*サイドボタン
-----------------------------*/
#side {
  width: 11em;
  aspect-ratio: 1;
  font-size: clamp(11px, 0.8333333333vw, 16px);
  background: url(../img/common/bg_side.svg) no-repeat center/contain;
  bottom: 0.625rem;
  right: calc(1em - 1px);
  row-gap: 1em;
  padding-bottom: 0.5em;
  transition: all 0.3s ease-out;
}
#side .min {
  font-size: 0.875em;
  line-height: 1.57143;
}
#side .min::before {
  width: calc(100% + 3.5em - 1px);
  height: calc(2.5em + 3px);
  bottom: calc(-0.5em + 0.5lh - 0.5em);
}
#side .txt {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  row-gap: calc(0.5em - 2px);
  font-size: 1.125em;
  line-height: 1;
}
#side .txt .label {
  display: block;
  width: 100%;
  font-size: calc(1em + 0.25rem);
  color: var(--color-white);
  line-height: 1.54546;
  position: relative;
  z-index: 0;
}
#side .txt .label::before {
  content: "";
  width: calc(8.5em - 1px);
  height: 100%;
  background: url(../img/common/ribbon_side.svg) no-repeat center/100% 100%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 0;
  z-index: -2;
}
#side::before {
  height: 3.125em;
  aspect-ratio: 57/50;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -1.875em;
}
#side:hover {
  transform: translateY(-0.3125rem);
}

/*===============================================
  visual
===============================================*/
/*共通
-----------------------------*/
.visual::after {
  height: calc(clamp(20px, 1.5625vw, 30px) + 1px);
}

/*メインビジュアル
-----------------------------*/
.visual__main {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  height: clamp(574px, 44.7916666667vw, 860px);
  padding-top: clamp(27px, 2.0833333333vw, 40px);
}
.visual__main::before {
  content: "";
  width: 133.021%;
  max-width: 159.625rem;
  height: 100%;
  background: url(../img/visual/mv_bg-pc.png) no-repeat right center/contain;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 0;
  z-index: -2;
  pointer-events: none;
}
.visual__catch--main {
  width: 95.834%;
  max-width: 115rem;
}
.visual__catch--main img {
  width: clamp(442px, 34.53125vw, 663px);
}

/*サブビジュアル
-----------------------------*/
.visual__sub {
  height: clamp(354px, 27.6041666667vw, 530px);
  background-position: left 50% center;
  padding-inline: max(50% - 50.8125rem, clamp(98px, 7.65625vw, 147px));
}
.visual__sub::before {
  width: 53.8542%;
  max-width: calc(50% + 4.625rem);
  -webkit-mask: url(../img/visual/sv_mask.svg) no-repeat left center/auto 100%, linear-gradient(black, black) no-repeat right center/calc(100% - (clamp(208px, 16.25vw, 312px) - 1px)) 100%;
          mask: url(../img/visual/sv_mask.svg) no-repeat left center/auto 100%, linear-gradient(black, black) no-repeat right center/calc(100% - (clamp(208px, 16.25vw, 312px) - 1px)) 100%;
}
.visual__sub::after {
  width: 67.96785%;
  max-width: 81.5625rem;
  right: calc(50% - clamp(128px, 9.9479166667vw, 191px));
}
.visual__catch--sub {
  width: clamp(340px, 26.5625vw, 510px);
  padding-block: clamp(14px, 1.09375vw, 21px);
  font-size: clamp(24px, 1.8229166667vw, 35px);
}
.visual__catch--sub::after {
  height: calc(100% - clamp(10px, 0.78125vw, 15px));
}
.visual__catch--sub > span {
  letter-spacing: 0.08em;
  margin-inline-end: -0.08em;
  padding-block: calc((clamp(80px, 6.25vw, 120px) - 1em) / 2);
  border-radius: clamp(14px, 1.0416666667vw, 20px);
}
.visual__catch--sub > span::before {
  width: calc(100% + clamp(35px, 2.6041666667vw, 50px));
  height: calc(100% - clamp(18px, 1.4583333333vw, 28px));
  bottom: clamp(16px, 1.25vw, 24px);
  background-size: clamp(42px, 3.2291666667vw, 62px);
}
.visual__catch--sub > span::after {
  height: clamp(48px, 3.75vw, 72px);
  bottom: calc(100% + clamp(10px, 0.7291666667vw, 14px));
}

/*===============================================
  グローバルナビ
===============================================*/
.gnav {
  height: clamp(35px, 2.6041666667vw, 50px);
  font-size: clamp(14px, 1.0810810811vw, 16px);
  background: var(--color-cream);
}
.gnav__list {
  display: flex;
  justify-content: center;
  align-items: center;
  -moz-column-gap: 3.125em;
       column-gap: 3.125em;
  height: 100%;
}
.gnav__link {
  display: block;
  letter-spacing: var(--letter-spacing-base);
  margin-inline-end: calc(var(--letter-spacing-base) * -1);
  position: relative;
  transition: all 0.12s ease-out;
}
.gnav__link::before {
  content: "";
  display: block;
  width: 1.375em;
  aspect-ratio: 22/15;
  background: url(../img/common/icon_nav.png) no-repeat center/contain;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: calc(100% + 0.25em);
  pointer-events: none;
  opacity: 0;
  transition: all 0.12s ease-out;
}
.gnav__link:hover, .gnav__link.current {
  color: var(--color-green);
}
.gnav__link:hover::before, .gnav__link.current::before {
  opacity: 1;
}

/*===============================================
  main#container
===============================================*/
/*===============================================
  パンくずリスト
===============================================*/
.breadcrumb {
  padding-block: 0.625rem;
  font-size: 0.9375rem;
  line-height: 1.66667;
}
.breadcrumb__list {
  width: 67.5rem;
}
.breadcrumb__item::after {
  margin-inline: 1em;
}

/*===============================================
  main共通
===============================================*/
.section {
  padding-block: 7.5rem;
}
.section--wave::before {
  height: calc(1.875rem + 1px);
}

.inbox {
  width: 67.5rem;
}

/*電話番号
-----------------------------*/
.com-tel {
  align-items: flex-start;
  width: -moz-fit-content;
  width: fit-content;
  row-gap: 0.625rem;
}
.com-tel__num {
  font-size: 1.875rem;
  -moz-column-gap: 0.3em;
       column-gap: 0.3em;
}
.com-tel__num::before {
  width: 1em;
}
.com-tel .com-replace {
  font-size: calc(var(--font-size-xs) - 1px);
}

/*ボタン
-----------------------------*/
.com-btn {
  height: 3.125rem;
}
.com-btn .arw {
  width: 1.875rem;
  right: 1.25rem;
}

.com-link {
  -moz-column-gap: 1.25rem;
       column-gap: 1.25rem;
}
.com-link .arw {
  width: 1.875rem;
}

/* SNS
-----------------------------*/
/*テーブル
-----------------------------*/
.com-table {
  line-height: 1.875;
}
.com-table table {
  border-spacing: 0 0.3125rem;
  margin-block: -0.3125rem;
}
.com-table tr th {
  width: calc(5em + 1.875rem);
  padding-inline-start: 1.875rem;
  border-radius: 0.625rem 0 0 0.625rem;
}
.com-table tr td {
  padding-inline: 0.625rem 1.875rem;
  border-radius: 0 0.625rem 0.625rem 0;
}
.com-table tr th,
.com-table tr td {
  padding-block: calc((3.4375rem - 1lh) / 2);
}

/*テキストボックス
-----------------------------*/
.com-text p {
  margin-inline-end: calc(var(--letter-spacing-base) * -1);
}

/*お知らせ
-----------------------------*/
.com-post__item {
  padding-bottom: 1.875rem;
  margin-bottom: 1.875rem;
}
.com-post__link {
  gap: 1.25rem 0.625rem;
}
.com-post__tags {
  gap: 0.3125rem;
}
.com-post__tag {
  font-size: 0.8125rem;
  line-height: 1.53847;
  padding-inline: 0.625rem;
  border-radius: 100vh;
}

/*===============================================
  タイトル
===============================================*/
/*大タイトル
-----------------------------*/
.com-title01 {
  row-gap: 1.75rem;
  margin-bottom: 3.75rem;
}
.com-title01 .en {
  min-width: 6em;
  font-size: 1.5625rem;
  line-height: 1.6;
  padding-inline: 1lh;
}

/*中タイトル
-----------------------------*/
/*小タイトル
-----------------------------*/
/*===============================================
  共通セクション
===============================================*/
/*お問い合わせ
-----------------------------*/
.com-contact {
  padding-block-start: 9.375rem;
  background-size: auto 8.3125rem;
}
.com-contact__inner {
  padding: 3.75rem 3.75rem 5rem;
  border-radius: 100vh;
}
.com-contact__inner::before {
  width: 55rem;
  height: 9.625rem;
  top: 4.375rem;
}
.com-contact__title {
  font-size: 2.1875rem;
  padding-bottom: 1.3125rem;
  margin-bottom: 1.25rem;
  row-gap: 0;
}
.com-contact__title::before {
  height: 8.875rem;
  top: -7.5rem;
}
.com-contact__title > span.en {
  font-size: var(--font-size-base);
  line-height: 1.5625;
  padding-inline: 1.25rem;
}
.com-contact__title > span.ja {
  min-width: 8em;
  line-height: 1.68572;
  margin-top: -0.625rem;
  padding-inline: 0.75rem;
}
.com-contact__title > span.ja::before {
  width: calc(100% + 6rem);
  height: 3.6875rem;
  bottom: -1.3125rem;
}
.com-contact__heading {
  -webkit-text-stroke-width: 0.375rem;
  padding-bottom: 3.125rem;
  margin-bottom: 1.25rem;
}
.com-contact__heading > span {
  letter-spacing: 0.15em;
  margin-inline-end: -0.65em;
}
.com-contact__heading::after {
  height: 3.75rem;
}
.com-contact__items {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.25rem;
}
.com-contact__btn {
  width: 17.5rem;
  height: 3.75rem;
}
.com-contact__btn.com-btn--mail {
  -moz-column-gap: 0.625rem;
       column-gap: 0.625rem;
}
.com-contact__btn.com-btn--mail::before {
  width: 1.25rem;
}
.com-contact__btn.com-btn--line {
  -moz-column-gap: 0.9375rem;
       column-gap: 0.9375rem;
}
.com-contact__btn.com-btn--line::before {
  width: 1.5rem;
}

/*共通（そろばん・プログラミング）
-----------------------------*/
.com-about::after {
  min-width: 120rem;
  height: calc(100% - 23.75rem);
  max-height: 111.875rem;
  background-size: 28.4375rem;
  top: 7.875rem;
}
.com-about__title .ja::before {
  width: 33rem;
  height: 3.75rem;
  top: calc(-1.875rem + 0.5lh - 0.5em);
}
.com-about__title .marker::before {
  height: 3.375rem;
}
.com-about__inner {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -moz-column-gap: 3.75rem;
       column-gap: 3.75rem;
}
.com-about__image {
  width: 32.5rem;
  flex-shrink: 0;
}
.com-about__image img {
  width: 100%;
  aspect-ratio: 52/42;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 0.9375rem;
}
.com-about__text {
  width: 100%;
  line-height: 2.5;
}
.com-about__box {
  padding-top: 6.25rem;
}
.com-about__heading {
  padding-bottom: 1.25rem;
  margin-bottom: 5rem;
}
.com-about__heading > span {
  min-width: 45rem;
  line-height: 2;
}
.com-about__heading > span::before {
  width: calc(100% + 5.5rem);
  height: 3.375rem;
  bottom: -1.25rem;
}
.com-about__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 6rem 2.8125rem;
}
.com-about__item {
  padding: 5.3125rem 1.25rem 2.5rem;
  border-radius: 0.625rem;
  box-shadow: 0.4375rem 0.4375rem var(--color-orange-light);
}
.com-about__icon {
  width: 5.625rem;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -2.25rem;
}
.com-about__label {
  font-size: 1.5625rem;
  margin-bottom: 2.5rem;
  word-break: keep-all;
}
.com-about__label > span {
  line-height: 1.4;
}
.com-about__label--arw {
  row-gap: 1.875rem;
  margin-bottom: 1.875rem;
}
.com-about__label--arw::after {
  height: 1.1875rem;
}
.com-about__body {
  line-height: 2.5;
  padding-inline: 1.25rem;
}
.com-about__btn {
  width: 25rem;
  margin: 5rem auto 0;
}
.com-about__movie {
  padding: 0 4.375rem 4.375rem;
  margin-top: 6.25rem;
}
.com-about__movie::before {
  height: calc(100% - 1.5625rem);
  border-radius: 1.25rem;
}
.com-about__movie--box {
  width: 46.875rem;
}
.com-about__movie--box::after {
  width: calc(100% - 10.625rem);
  height: 7.1875rem;
}
.com-about__caption {
  width: 21.25rem;
  font-size: 1.5625rem;
  padding-block: calc((3.375rem - 1em) / 2);
  border-radius: 100vh;
  margin-bottom: 2.25rem;
}
.com-about__caption > span {
  line-height: 1.2;
}
.com-about__caption::before {
  width: calc(100% + 7.5rem);
  height: 4.3125rem;
}
.com-about--soroban .com-about__title::before {
  width: 56.25rem;
  height: 12.625rem;
  top: -0.875rem;
}
.com-about--soroban .com-about__title::after {
  width: 33.375rem;
  height: 2.4375rem;
  bottom: -1.3125rem;
}
.com-about--soroban .com-about__inner::after {
  width: 100%;
  height: 9.5rem;
  bottom: calc(100% - 0.3125rem);
}
.com-about--soroban .com-about__item {
  padding-top: 3.5rem;
}
.com-about--soroban .com-about__item::before {
  width: 100%;
  height: 4.375rem;
  position: absolute;
  top: -2.1875rem;
  left: 0;
  z-index: 1;
  pointer-events: none;
}
.com-about--programming .com-about__title {
  margin-bottom: 6.125rem;
}
.com-about--programming .com-about__title::before {
  width: 56.625rem;
  height: 14.375rem;
  top: 1.0625rem;
}
.com-about--programming .com-about__inner::after {
  width: 63.75rem;
  height: 7.25rem;
  bottom: calc(100% + 1.3125rem);
}
.com-about--programming .com-about__box::after {
  width: 72.5rem;
  height: 10.9375rem;
  bottom: -6.25rem;
}

/*===============================================
  トップページ
===============================================*/
/*コンセプト
-----------------------------*/
.top-concept {
  padding-block: 5.9375rem 0;
}
.top-concept::before {
  width: 81.25rem;
  height: 21.25rem;
  top: 6.25rem;
}
.top-concept::after {
  height: clamp(335px, 26.0416666667vw, 500px);
  margin-top: 7.5rem;
}
.top-concept__title {
  font-size: 2.1875rem;
  padding-bottom: 1.3125rem;
  margin-bottom: 2.5rem;
  row-gap: 0;
}
.top-concept__title::before {
  height: 2.8125rem;
  margin-bottom: 0.625rem;
}
.top-concept__title > span.en {
  font-size: var(--font-size-base);
  line-height: 1.5625;
  padding-inline: 1.25rem;
}
.top-concept__title > span.ja {
  width: 8em;
  line-height: 1.68572;
  margin-top: -0.625rem;
}
.top-concept__title > span.ja::before {
  width: calc(100% + 6rem);
  height: 3.6875rem;
  bottom: -1.3125rem;
}
.top-concept__box::before {
  width: 59.8125rem;
  aspect-ratio: 957/533;
  top: -2.9375rem;
}
.top-concept__heading {
  margin-bottom: 3.75rem;
  -webkit-text-stroke: var(--color-white) 0.5rem;
  paint-order: stroke;
}
.top-concept__heading > span {
  line-height: 1.625;
}
.top-concept__heading .marker {
  display: block;
}
.top-concept__body {
  text-align: center;
  line-height: 2.5;
}

/*授業内容
-----------------------------*/
.top-lesson::before {
  height: calc(1.875rem + 1px);
}
.top-lesson::after {
  min-width: 120rem;
  height: calc(100% - 13.75rem);
  background-size: 28.4375rem;
  top: 10rem;
}
.top-lesson__inner {
  padding-block-end: 7.5rem;
}
.top-lesson__inner::before {
  width: calc(100vw - 6.25rem);
  min-width: calc(1200px - 6.25rem);
  max-width: 80rem;
  height: calc(100% - 5.4375rem);
  border-radius: 1.25rem;
}
.top-lesson__inner::after {
  width: 41.875rem;
  height: 10.5625rem;
  top: 2.4375rem;
}
.top-lesson__title {
  margin-bottom: 6.25rem;
  background: linear-gradient(#fff, #fff) no-repeat center top 5.4375rem / 20rem 2px;
}
.top-lesson__title::before {
  width: 51.875rem;
  height: 7.1875rem;
  bottom: -3.4375rem;
}
.top-lesson__items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2.5rem;
  padding-inline: 1.25rem;
}
.top-lesson__item {
  padding: 0.625rem;
  border-radius: 0.9375rem;
}
.top-lesson__item:nth-of-type(4n + 2), .top-lesson__item:nth-of-type(4n + 3) {
  background-color: var(--color-orange-light);
}
.top-lesson__item::before {
  height: 3.0625rem;
  top: -0.625rem;
}
.top-lesson__item--pic::after {
  width: 7rem;
  aspect-ratio: 112/104;
  top: -1.5625rem;
  left: -1.875rem;
}
.top-lesson__image {
  margin-bottom: 1.5625rem;
}
.top-lesson__image img {
  outline-width: 0.3125rem;
  outline-offset: -0.3125rem;
  border-radius: 0.9375rem;
}
.top-lesson__image .arw {
  width: 3.125rem;
  right: 1.25rem;
  bottom: 1.25rem;
}
.top-lesson__image .arw::after {
  width: 1.4375rem;
}
.top-lesson__heading {
  font-size: 1.75rem;
  padding-block: calc((3.0625rem - 1em) / 2);
  padding-inline: 2.25rem;
  margin-bottom: 1.25rem;
}
.top-lesson__heading > span {
  line-height: 1.14286;
}
.top-lesson__heading::before {
  height: 3.0625rem;
}
.top-lesson__body {
  line-height: 1.875;
  padding: calc(1.875rem - (0.5lh - 0.5em)) 1.875rem;
}

/*おすすめの授業
-----------------------------*/
.top-recommend__item {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -moz-column-gap: 1.25rem;
       column-gap: 1.25rem;
  margin-bottom: 5.625rem;
}
.top-recommend__item:nth-of-type(2n) {
  flex-direction: row-reverse;
}
.top-recommend__item:nth-of-type(2n) .top-recommend__heading {
  background: linear-gradient(to bottom, #000 3.774%, var(--color-green-light) 3.774%, var(--color-green-light) 96.226%, #000 96.226%);
  padding-inline: 4.6875rem 0.625rem;
  transform: translateX(-2.5rem);
}
.top-recommend__item:nth-of-type(2n) .top-recommend__heading::before {
  background-image: url(../img/common/ribbon_green-l.svg), url(../img/common/ribbon_green-rb.svg);
  left: -4.25rem;
  transform: scale(-1, 1);
}
.top-recommend__item:nth-of-type(1)::after {
  width: 81.25rem;
  height: 10.9375rem;
  bottom: -6.25rem;
}
.top-recommend__item:nth-of-type(1) .top-recommend__heading::after {
  width: 3.75rem;
  aspect-ratio: 60/85;
  top: -0.9375rem;
  right: -2.0625rem;
}
.top-recommend__item:nth-of-type(2)::after {
  width: 81.25rem;
  height: 9.5rem;
  bottom: -7.5rem;
}
.top-recommend__item:nth-of-type(2) .top-recommend__heading::after {
  width: 3.875rem;
  aspect-ratio: 62/65;
  top: -0.625rem;
  left: -0.5rem;
}
.top-recommend__image {
  width: 31.25rem;
  flex-shrink: 0;
}
.top-recommend__inner {
  width: 35rem;
  margin-top: 5rem;
  padding: 1.875rem 1.25rem 3.75rem 2.5rem;
}
.top-recommend__inner::before {
  content: "";
  width: 100%;
  height: 1.4375rem;
  background: url(../img/common/deco_note.svg) no-repeat center top/100%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: calc(100% - 2px);
  z-index: -2;
}
.top-recommend__heading {
  font-size: var(--font-size-lg);
  width: calc(100% + 1.25rem);
  height: 3.3125rem;
  background: linear-gradient(to bottom, #000 3.774%, var(--color-orange-light) 3.774%, var(--color-orange-light) 96.226%, #000 96.226%);
  padding-inline: 1.875rem 0.625rem;
  margin-bottom: 2.5rem;
}
.top-recommend__heading::before {
  width: calc(100% + 5.5rem);
  height: 4.5625rem;
  background: url(../img/common/ribbon_orange-l.svg) no-repeat left top/auto 72.603%, url(../img/common/ribbon_orange-rb.svg) no-repeat right top/auto 100%;
  left: -1.25rem;
}
.top-recommend__body {
  padding-inline: 0 1.25rem;
}
.top-recommend__btn {
  width: 25rem;
  margin: 2.5rem auto 0;
  transform: translateX(-0.625rem);
}

/*保護者・生徒さまの声
-----------------------------*/
.top-voice__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2.5rem;
}
.top-voice__item {
  padding: 1.875rem 1.875rem 2.5rem;
  border-radius: 1.25rem;
  gap: 1.875rem 1.25rem;
}
.top-voice__item:nth-of-type(4n + 2) .top-voice__heading, .top-voice__item:nth-of-type(4n + 3) .top-voice__heading {
  background: var(--color-cream);
}
.top-voice__item:nth-of-type(4n + 2) .top-voice__heading::before, .top-voice__item:nth-of-type(4n + 3) .top-voice__heading::before {
  background: var(--color-cream);
}
.top-voice__icon {
  row-gap: 0.625rem;
}
.top-voice__icon img {
  width: 7.5rem;
}
.top-voice__heading {
  margin-top: 0.625rem;
  padding: 1.25rem;
  border-radius: 0.625rem;
  background: var(--color-green-pale);
}
.top-voice__heading::before {
  content: "";
  width: calc(0.9375rem + 1px);
  aspect-ratio: 15/20;
  background: var(--color-green-pale);
  clip-path: polygon(0 50%, 100% 0, 100% 100%);
  position: absolute;
  top: 1.25rem;
  left: -0.9375rem;
  pointer-events: none;
}
.top-voice__heading > span {
  line-height: 1.36364;
}
.top-voice__body {
  line-height: 1.875;
  padding-top: calc(1.875rem - (0.5lh - 0.5em));
}

/*塾概要
-----------------------------*/
.top-info__wrap {
  padding: 7.5rem 3.75rem 5rem;
  outline-width: 1.25rem;
  outline-offset: -1.25rem;
  border-radius: 1.875rem;
}
.top-info__wrap::before {
  height: 5.0625rem;
  top: 0.625rem;
}
.top-info__wrap::after {
  width: calc(100% + 5rem);
  height: 11.5rem;
  bottom: -1.875rem;
}
.top-info__title::before {
  width: 42.5rem;
  height: 7.625rem;
  top: 0.625rem;
}
.top-info__title::after {
  width: 18.125rem;
  height: 3.375rem;
  bottom: -0.5rem;
}
.top-info__text {
  width: -moz-fit-content;
  width: fit-content;
  text-align: center;
  font-size: 1.25rem;
  line-height: 2;
  margin-inline: auto;
}
.top-info__text::before {
  width: calc(100% + 7.5rem);
  height: 5.25rem;
  bottom: calc(0.75rem - (0.5lh - 0.5em));
}
.top-info__inner {
  display: grid;
  grid-template-columns: 37.5rem 1fr;
  gap: 1.25rem;
  margin-top: 3.75rem;
}
.top-info__inner:has(.top-info__map) {
  grid-template-rows: 21.25rem 1fr;
}
.top-info__inner:has(.top-info__map) .top-info__box {
  grid-row: span 2;
}
.top-info__box, .top-info__map iframe, .top-info__image img {
  border-radius: 1.25rem;
}
.top-info__box {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  row-gap: 1.25rem;
  padding: 2.5rem;
}
.top-info__box > * {
  width: 100%;
}
.top-info__heading {
  font-size: 1.75rem;
  margin-bottom: 0.625rem;
}
.top-info__heading > span {
  line-height: 1.07143;
}
.top-info__table tr td .com-replace {
  font-size: calc(var(--font-size-xs) - 1px);
  margin-block: 0.1875rem 0.5rem;
}
.top-info__memo {
  font-size: 0.8125rem;
  line-height: 1.92308;
}
.top-info__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

/*新着情報
-----------------------------*/
.top-news__box {
  display: grid;
  grid-template: auto 1fr/auto 1fr;
  -moz-column-gap: 3.75rem;
       column-gap: 3.75rem;
  min-height: 16.125rem;
}
.top-news__title {
  width: 28.75rem;
  margin-left: -3.125rem;
  padding-bottom: 1.6875rem;
  margin-bottom: 1.25rem;
  padding-top: 0.625rem;
  margin-top: 1.25rem;
}
.top-news__title::before {
  height: 14.875rem;
  aspect-ratio: 460/238;
  top: 0;
}
.top-news__title::after {
  content: "";
  width: 13.75rem;
  height: 2px;
  background: var(--color-border);
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  z-index: 1;
  pointer-events: none;
}
.top-news__list,
.top-news .com-empty {
  grid-row: span 2;
}
.top-news__item:nth-of-type(3) {
  padding-bottom: 0;
  border-bottom: none;
}
.top-news__btn {
  margin-inline: auto;
  align-self: flex-start;
  z-index: 4;
}

/*===============================================
  総合塾トムについて
===============================================*/
/*ごあいさつ
-----------------------------*/
.about-greeting {
  padding-bottom: 1.25rem;
}
.about-greeting__wrap::before {
  width: 59.8125rem;
  height: 33.3125rem;
  top: -2.125rem;
  left: calc(50% + 0.9375rem);
}
.about-greeting__inner {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -moz-column-gap: 3.4375rem;
       column-gap: 3.4375rem;
}
.about-greeting__image {
  width: 32.5rem;
  flex-shrink: 0;
}
.about-greeting__image img {
  width: 100%;
  aspect-ratio: 52/41;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 0.9375rem;
}
.about-greeting__text {
  width: 100%;
  line-height: 2.5;
  margin-block-start: calc(0.625rem - (0.5lh - 0.5em)) !important;
}
.about-greeting__text .name {
  margin-top: 0.5lh;
}

/*成長につながる当塾の4つのメソッド
-----------------------------*/
.about-method__title {
  row-gap: 2.25rem;
  margin-bottom: 9.6875rem;
}
.about-method__title::before {
  height: 2.8125rem;
}
.about-method__title::after {
  width: 50rem;
  height: 13.1875rem;
  top: 1.375rem;
}
.about-method__title > span::before {
  width: calc(100% + 2.5rem);
  height: 3.25rem;
  bottom: calc(-0.75rem + 0.5lh - 0.5em);
}
.about-method__list {
  padding: 5.4375rem 3.125rem 3.125rem;
  border-radius: 0.625rem;
  box-shadow: 0.4375rem 0.4375rem var(--color-orange-light);
}
.about-method__list::after {
  height: 10.8125rem;
  top: -7rem;
  left: -0.25rem;
}
.about-method__item {
  padding: 3.375rem 2.5rem 2.5rem;
  margin-bottom: 2.5rem;
}
.about-method__heading {
  -moz-column-gap: 1.25rem;
       column-gap: 1.25rem;
  background-size: auto 100%, calc(100% - 4.375rem) 100%;
  margin-left: 3.125rem;
  padding-block: calc((4rem - 1em) / 2);
  padding-left: 3.125rem;
  margin-bottom: 2rem;
}
.about-method__heading::before {
  font-size: 2.5rem;
  margin-block: -0.375rem -0.125rem;
}
.about-method__heading img {
  width: 5.625rem;
  left: -3.125rem;
}
.about-method__inner {
  display: grid;
  grid-template-columns: 17.5rem 1fr;
  align-items: flex-start;
  -moz-column-gap: 2.5rem;
       column-gap: 2.5rem;
}
.about-method__image img {
  width: 100%;
  aspect-ratio: 1.0769230769;
  -o-object-fit: cover;
     object-fit: cover;
}
.about-method__image img {
  border-radius: 0.9375rem;
}
.about-method__image--left img {
  -o-object-position: left center;
     object-position: left center;
}
.about-method__image--right img {
  -o-object-position: right center;
     object-position: right center;
}
.about-method__caption {
  font-size: var(--font-size-lg);
  margin-bottom: 2.5rem;
  word-break: keep-all;
}
.about-method__caption > span {
  line-height: 1.81819;
}

/*入塾の流れ
-----------------------------*/
.about-flow::before {
  min-width: 120rem;
  height: calc(100% - 12.5rem);
  max-height: 111.875rem;
  background-size: 28.4375rem;
  top: 9.375rem;
}
.about-flow__list::after {
  width: calc(100% - 10.625rem);
  height: 13.1875rem;
  top: -11.9375rem;
}
.about-flow__item {
  padding: 2.5rem;
  margin-bottom: 3.75rem;
  border-radius: 1.25rem;
}
.about-flow__item::after {
  height: 1.6875rem;
  top: calc(100% + 1.03125rem);
}
.about-flow__heading {
  -moz-column-gap: 2.1875rem;
       column-gap: 2.1875rem;
  font-size: 1.875rem;
  padding-bottom: 0.625rem;
  margin-bottom: 2.5rem;
}
.about-flow__heading::before {
  width: 7.625rem;
  font-size: 1.375rem;
  line-height: 1.72728;
  border-radius: 100vh;
}
.about-flow__heading > span {
  line-height: 1.26667;
}
.about-flow__heading::after {
  height: 3.25rem;
}
.about-flow__inner {
  display: grid;
  grid-template-columns: 17.5rem 1fr;
  align-items: flex-start;
  -moz-column-gap: 2.5rem;
       column-gap: 2.5rem;
}
.about-flow__image img {
  width: 100%;
  aspect-ratio: 1.6470588235;
  -o-object-fit: cover;
     object-fit: cover;
}
.about-flow__image img {
  border-radius: 0.9375rem;
}
.about-flow__image--left img {
  -o-object-position: left center;
     object-position: left center;
}
.about-flow__image--right img {
  -o-object-position: right center;
     object-position: right center;
}
.about-flow__body {
  align-self: center;
}

/*よくある質問
-----------------------------*/
.about-faq__tags {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.875rem;
}
.about-faq__tags + .about-faq__box {
  padding-top: 5rem;
}
.about-faq__box {
  padding-top: 7.5rem;
}
.about-faq__heading {
  font-size: 1.5625rem;
  padding-bottom: 1.25rem;
  margin-bottom: 1.875rem;
}
.about-faq__heading > span {
  min-width: 18.4em;
  line-height: 2.16;
}
.about-faq__heading > span::before {
  width: calc(100% + 5.5rem);
  height: 3.375rem;
  bottom: -1.25rem;
}
.about-faq__item {
  margin-bottom: 3.125rem;
  border-radius: 0.625rem;
}
.about-faq__caption {
  font-size: var(--font-size-lg);
  -moz-column-gap: 1.25rem;
       column-gap: 1.25rem;
  padding: 0.625rem 1.25rem;
}
.about-faq__caption::before {
  width: 3.125rem;
  font-size: 1.75rem;
}
.about-faq__caption > span {
  line-height: var(--line-height-lg);
}
.about-faq__body {
  -moz-column-gap: 1.25rem;
       column-gap: 1.25rem;
  padding: 1.875rem 1.25rem;
}
.about-faq__body::before {
  width: 3.125rem;
  font-size: 1.75rem;
}

/*===============================================
  授業・料金
===============================================*/
/*授業・料金
-----------------------------*/
.course-list__table {
  font-size: 1.125rem;
  line-height: 1.77778;
}
.course-list__table caption {
  font-size: 0.9375rem;
  margin-bottom: 0.625rem;
}
.course-list__table th,
.course-list__table td {
  width: 50%;
  padding-block: calc((5rem - 1lh) / 2);
}
.course-list__table th {
  text-align: center;
}
.course-list__table td {
  padding-inline: 2.5rem;
}
.course-list__table td .oth {
  font-size: 0.9375rem;
  line-height: 1.66667;
}
.course-list__text {
  font-size: 1.125rem;
  line-height: 2.22223;
  outline-width: 0.1875rem;
  outline-offset: -0.1875rem;
  box-shadow: 0 0 0 0.6875rem var(--color-white) inset;
  padding: 2.5rem;
  margin-top: 2.5rem;
}

/*===============================================
  そろばん塾
===============================================*/
/*週1～2回の通塾でも上級合格を達成
-----------------------------*/
.soroban-lead__inner::before {
  width: 59.8125rem;
  height: 33.3125rem;
  top: -4.1875rem;
}
.soroban-lead__title {
  font-size: 1.75rem;
  padding-bottom: 1.3125rem;
  row-gap: 1.5625rem;
  margin-bottom: 3.75rem;
}
.soroban-lead__title::before {
  height: 2.8125rem;
}
.soroban-lead__title > span {
  min-width: 34.375rem;
  line-height: 2.10715;
}
.soroban-lead__title > span::before {
  width: calc(100% + 6rem);
  height: 3.6875rem;
  bottom: -1.3125rem;
}
.soroban-lead__title::after {
  width: 43.125rem;
  height: 7.3125rem;
  bottom: -5rem;
}
.soroban-lead__list {
  width: 58.125rem;
  margin-inline: auto;
}
.soroban-lead__list::before {
  width: 67.5rem;
  height: 13.8125rem;
  top: -12.8125rem;
}
.soroban-lead__item {
  row-gap: 1.25rem;
  font-size: 1.875rem;
  line-height: 1.4;
  border-radius: 0.625rem;
  padding-block: 2.4375rem;
  margin-bottom: 3.125rem;
  border-radius: 0.625rem;
}
.soroban-lead__item .label {
  padding-inline: 0.5em;
  margin-inline: 0.2em;
  border-radius: 0.5rem;
}
.soroban-lead__item .b {
  font-size: 2.8125rem;
  line-height: 1;
}
.soroban-lead__item::before {
  width: calc(100% - 10rem);
  height: 6.4375rem;
}
.soroban-lead__item::after {
  height: 1.4375rem;
}

/*===============================================
  プログラミング教室
===============================================*/
/*こんな方におすすめ！
-----------------------------*/
.programming-recommend {
  padding-block-end: 16.875rem;
}
.programming-recommend::after {
  height: 15rem;
}
.programming-recommend__inner::before {
  width: 60.625rem;
  height: 33.3125rem;
  top: 3.625rem;
}
.programming-recommend__title {
  margin-bottom: 3.125rem;
}
.programming-recommend__list {
  display: flex;
  justify-content: center;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 2.5rem;
}
.programming-recommend__item {
  width: 32.5rem;
  text-align: center;
  font-size: var(--font-size-lg);
  line-height: var(--line-height-lg);
  padding: calc((4.875rem - 1lh) / 2) 1em;
  border-radius: 1.875rem;
}

/*===============================================
  個別指導・理科実験教室
===============================================*/
/*一人ひとりに合わせた学びで、
無理なく着実に力を伸ばす個別指導
-----------------------------*/
.study-tutoring__title {
  margin-bottom: 6.125rem;
}
.study-tutoring__title .ja::before {
  width: 33rem;
  height: 3.75rem;
  top: calc(-4.375rem + 0.5lh - 0.5em);
}
.study-tutoring__title .marker::before {
  height: 3.375rem;
}
.study-tutoring__title::before {
  width: 58.125rem;
  height: 15.4375rem;
  top: 0;
}
.study-tutoring__inner {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -moz-column-gap: 3.75rem;
       column-gap: 3.75rem;
}
.study-tutoring__inner::after {
  width: 51.875rem;
  height: 13.0625rem;
  top: -15.625rem;
}
.study-tutoring__image {
  width: 32.5rem;
  flex-shrink: 0;
}
.study-tutoring__image img {
  width: 100%;
  aspect-ratio: 52/42;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 0.9375rem;
}
.study-tutoring__text {
  width: 100%;
  line-height: 2.5;
}

/*総合塾トムのオーダーメイド指導とは
-----------------------------*/
.study-order::before {
  min-width: 120rem;
  height: calc(100% - 11.125rem);
  background-size: 28.4375rem;
  top: 6.6875rem;
}
.study-order__title::after {
  width: 45rem;
  height: 8.3125rem;
  top: 2.375rem;
}
.study-order__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.8125rem;
}
.study-order__item {
  text-align: center;
  font-size: var(--font-size-lg);
  line-height: 1.59091;
  word-break: keep-all;
  padding-bottom: 8.9375rem;
}
.study-order__label {
  width: 10.3125rem;
  padding-block: calc((2.625rem - 1lh) / 2);
  margin-bottom: 1.875rem;
}
.study-order__icon {
  width: 5.9375rem;
  position: absolute;
  top: -1.0625rem;
  left: -1.5625rem;
}
.study-order__q {
  padding: 0 1.25rem 2.25rem;
  margin-bottom: 2.4375rem;
}
.study-order__q::before {
  height: calc(100% - 1.25rem);
  border-radius: 0.9375rem;
}
.study-order__q::after {
  height: 1.1875rem;
  top: calc(100% + 0.625rem);
}
.study-order__a {
  padding: 2.8125rem 1.25rem 3.125rem;
  border-radius: 0.9375rem;
}
.study-order__a::after {
  height: 9.9375rem;
  aspect-ratio: 174/159;
  bottom: -8.9375rem;
}
.study-order__box {
  padding-top: 5rem;
}
.study-order__heading {
  padding-bottom: 1.25rem;
  margin-bottom: 1.875rem;
}
.study-order__heading > span {
  min-width: 57.125rem;
  line-height: 2;
}
.study-order__heading > span::before {
  width: calc(100% + 5.5rem);
  height: 3.375rem;
  bottom: -1.25rem;
}
.study-order__listbox {
  padding: 3.75rem 3.125rem;
  border-radius: 0.625rem;
}
.study-order__listbox li {
  min-height: 2.125rem;
  font-size: 1.125rem;
  line-height: 1.77778;
  margin-bottom: 1lh;
  padding-left: 3.5625rem;
}
.study-order__listbox li::before {
  width: 2.125rem;
  top: 50%;
  transform: translateY(-50%);
}
.study-order__listbox li p:first-of-type {
  margin-block-start: calc((1em - 1lh) / 2);
}
.study-order__listbox li p:lst-of-type {
  margin-block-end: calc((1em - 1lh) / 2);
}
.study-order__btn {
  width: 25rem;
  margin: 5rem auto 0;
}

/*実験や工作を通して、学ぶ楽しさと
好奇心を引き出す理科実験教室
-----------------------------*/
.study-science__title {
  margin-bottom: 4.125rem;
}
.study-science__title .ja::before {
  width: 33rem;
  height: 3.75rem;
  top: calc(-4.375rem + 0.5lh - 0.5em);
}
.study-science__title .marker::before {
  height: 3.375rem;
}
.study-science__title::before {
  width: 56.625rem;
  height: 13.75rem;
  top: 1.6875rem;
}
.study-science__inner {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -moz-column-gap: 3.75rem;
       column-gap: 3.75rem;
}
.study-science__inner::after {
  width: 100%;
  height: 8.8125rem;
  top: -10.4375rem;
}
.study-science__image {
  width: 32.5rem;
  flex-shrink: 0;
}
.study-science__image img {
  width: 100%;
  aspect-ratio: 52/42;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 0.9375rem;
}
.study-science__text {
  width: 100%;
  line-height: 2.5;
}
.study-science__btns {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 2.5rem 3.75rem;
  padding-top: 4.6875rem;
}
.study-science__btn {
  width: 31.875rem;
}

/*===============================================
  お知らせ
===============================================*/
/* お知らせ 一覧
-----------------------------*/
/* お知らせ 詳細
-----------------------------*/
.news-detail__heading {
  padding-bottom: 1.875rem;
  margin-bottom: 1.875rem;
}

/*タグリスト
-----------------------------*/
/*===============================================
  お問い合わせ
===============================================*/
.contact-form__table tr th,
.contact-form__table tr td {
  line-height: calc(2.5rem / var(--font-size-base));
  padding-block: 1.25rem;
  background: var(--color-cream);
}
.contact-form__table tr th {
  width: 22.5rem;
  text-align: left;
  padding-right: 1.875rem;
}
.contact-form__table tr th .optional-mark,
.contact-form__table tr th .required-mark {
  margin-top: calc(1.25rem - 0.5lh);
}
.contact-form__table tr td {
  vertical-align: middle;
}
.contact-form .contact-submits-wrap > * {
  margin: 1.25rem 0.9375rem 0;
}

/*===============================================
  お問い合わせ完了
===============================================*/
/*===============================================
  プライバシーポリシー
===============================================*/
.privacy-policy__box {
  padding: 3.125rem;
  margin-bottom: 2.5rem;
  border-radius: 1.25rem;
}
.privacy-policy__heading {
  margin-bottom: 1.875rem;
}

/*===============================================
  サイトマップ
===============================================*/
.sitemap-list__items {
  display: grid;
  grid-template: repeat(5, 1fr)/1fr 1.5fr 1.5fr;
  grid-auto-flow: column;
  align-items: flex-start;
  gap: 1.25rem 5rem;
}
.sitemap-list__item:first-of-type {
  grid-row: span 5;
}
.sitemap-list__link {
  line-height: 1.5;
  padding: 1em 1.5em;
}

/*===============================================
  404エラー
===============================================*/